HtmlCalendar
| Calendar Package |

## Name

HtmlCalendar — Concrete class derived from XmlCalendar

## Synopsis

HtmlCalendar `calendar_name` ?-option1 `option_list`? ?-option2 `option_list`? ?...?

Concrete XmlCalendar class for printing html calendar tables. The markup of the class is xhtml compliant and prints a code fragment for inclusion in a webpage. The following is the class definition.

    ::itcl::class HtmlCalendar {
        inherit XmlCalendar

        constructor {args} {XmlCalendar::constructor $args} {
        $this configure -container    table \
                        -header       thead \
                        -body         tbody \
                        -banner       tr    \
                        -banner_month {th colspan 3 style "text-align: right;"} \
                        -banner_year  {th colspan 4 style "text-align: left;"}  \
                        -weekdays     tr    \
                        -weekday_cell th    \
                        -days_row     tr    \
                        -days_cell    td
        }
    }

A sample output from HtmlCalendar (with some styling)

XmlCalendar |  | RivetEntities